<script lang="ts">
  import { slide } from 'svelte/transition';

  export let background: string;
  export let title: string;
  export let text: string;

  let reveal = false;
</script>

<div
  class="hidden lg:flex flex-col items-center relative shadow-lg"
  on:mouseenter={() => (reveal = true)}
  on:mouseleave={() => (reveal = false)}>
  <div class={`flex flex-col transition-transform ease-in-out duration-300 ${reveal ? '-translate-y-60' : ''} `}>
    <div class={`${background} bg-contain bg-bottom bg-no-repeat h-32 mt-20 mb-10`} />
    <h1 class="text-4xl font-bold text-secondary text-center mb-20 ">{title}</h1>
  </div>

  <div class="absolute inset-0 bg-cyber-blue-900 h-full -z-10 flex flex-col">
    <div class="min-h-[41%] bg-[#F2F2F2] flex-grow" />
    <div class="bg-cyber-blue-500 min-h-[4px] w-full" />

    {#if reveal}
      <p class="h-full text-sm xl:text-lg text-white text-center leading-loose px-2" in:slide out:slide>{text}</p>
    {/if}
  </div>
</div>

<div class="lg:hidden border flex flex-col">
  <div class="bg-[#F2F2F2]">
    <div class={`${background} bg-contain bg-bottom bg-no-repeat h-32 mt-10 mb-10`} />
    <h1 class="text-4xl font-bold text-secondary text-center mb-10 mx-1">{title}</h1>
  </div>

  <div class="bg-cyber-blue-900 border-t-4 border-cyber-blue-500 flex-grow flex flex-col justify-center">
    <p class="text-white text-center leading-loose p-2" in:slide out:slide>{text}</p>
  </div>
</div>
